
use strict;
use warnings;



use ExtUtils::MakeMaker 6.30;



my %WriteMakefileArgs = (
  'ABSTRACT' => 'make sure code doesn\'t unexpectedly eat all your memory',
  'AUTHOR' => 'Chisel <chisel@chizography.net>',
  'BUILD_REQUIRES' => {
    'Test::Most' => '0',
    'Test::UseAllModules' => '0'
  },
  'CONFIGURE_REQUIRES' => {
    'ExtUtils::MakeMaker' => '6.30'
  },
  'DISTNAME' => 'Test-Memory-Usage',
  'EXE_FILES' => [],
  'LICENSE' => 'perl',
  'NAME' => 'Test::Memory::Usage',
  'PREREQ_PM' => {
    'Memory::Usage' => '0'
  },
  'VERSION' => '0.0.4',
  'test' => {
    'TESTS' => 't/*.t'
  }
);


unless ( eval { ExtUtils::MakeMaker->VERSION(6.56) } ) {
  my $br = delete $WriteMakefileArgs{BUILD_REQUIRES};
  my $pp = $WriteMakefileArgs{PREREQ_PM};
  for my $mod ( keys %$br ) {
    if ( exists $pp->{$mod} ) {
      $pp->{$mod} = $br->{$mod} if $br->{$mod} > $pp->{$mod};
    }
    else {
      $pp->{$mod} = $br->{$mod};
    }
  }
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);



